Building xen-4.2.1 packages on Ubuntu 12.04

First install build dependencies. This list may not be complete as some necessary libraries and tools may have already been installed on my test machines. This is what I used to get the packages to build successfully:

  • apt-get install build-essential python-dev gettext bin86 bcc iasl uuid-dev libncurses5-dev pkg-config libglib2.0-dev libyajl-dev git gcc-multilib texinfo fakeroot

Then download, unpack, configure, and build:

  • wget http://bits.xensource.com/oss-xen/release/4.2.1/xen-4.2.1.tar.gz
  • tar -zxf xen-4.2.1.tar.gz
  • cd xen-4.2.1
  • ./configure
  • make deb

Afterword you’ll be left with a shiny new package:

  • dist/xen-upstream-4.2.1.deb

6 Comments

  1. Hello Specialj,
    I’ve done all steps, but on execution ./xen-upstream-4.2.1.deb I have such errors:
    ./xen-upstream-4.2.1.deb: line 1: syntax error near unexpected token `newline’
    ./xen-upstream-4.2.1.deb: line 1: `!’

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>